Update booking settings
curl --request PUT \
--url https://api.pineyard.ai/google/calendar/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calendarId": "<string>",
"timezone": "<string>",
"workingDays": [
3
],
"workingHoursStart": "<string>",
"workingHoursEnd": "<string>",
"slotMinutes": 242,
"bufferMinutes": 120,
"minNoticeMinutes": 5040,
"defaultSiteLocation": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
calendarId: '<string>',
timezone: '<string>',
workingDays: [3],
workingHoursStart: '<string>',
workingHoursEnd: '<string>',
slotMinutes: 242,
bufferMinutes: 120,
minNoticeMinutes: 5040,
defaultSiteLocation: '<string>'
})
};
fetch('https://api.pineyard.ai/google/calendar/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/google/calendar/settings"
payload = {
"calendarId": "<string>",
"timezone": "<string>",
"workingDays": [3],
"workingHoursStart": "<string>",
"workingHoursEnd": "<string>",
"slotMinutes": 242,
"bufferMinutes": 120,
"minNoticeMinutes": 5040,
"defaultSiteLocation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"connected": true,
"googleEmail": "<string>",
"calendarId": "<string>",
"timezone": "<string>",
"workingDays": [
123
],
"workingHoursStart": "<string>",
"workingHoursEnd": "<string>",
"slotMinutes": 123,
"bufferMinutes": 123,
"minNoticeMinutes": 123,
"defaultSiteLocation": "<string>"
}Google Calendar
Update booking settings
PUT
/
google
/
calendar
/
settings
Update booking settings
curl --request PUT \
--url https://api.pineyard.ai/google/calendar/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calendarId": "<string>",
"timezone": "<string>",
"workingDays": [
3
],
"workingHoursStart": "<string>",
"workingHoursEnd": "<string>",
"slotMinutes": 242,
"bufferMinutes": 120,
"minNoticeMinutes": 5040,
"defaultSiteLocation": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
calendarId: '<string>',
timezone: '<string>',
workingDays: [3],
workingHoursStart: '<string>',
workingHoursEnd: '<string>',
slotMinutes: 242,
bufferMinutes: 120,
minNoticeMinutes: 5040,
defaultSiteLocation: '<string>'
})
};
fetch('https://api.pineyard.ai/google/calendar/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/google/calendar/settings"
payload = {
"calendarId": "<string>",
"timezone": "<string>",
"workingDays": [3],
"workingHoursStart": "<string>",
"workingHoursEnd": "<string>",
"slotMinutes": 242,
"bufferMinutes": 120,
"minNoticeMinutes": 5040,
"defaultSiteLocation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"connected": true,
"googleEmail": "<string>",
"calendarId": "<string>",
"timezone": "<string>",
"workingDays": [
123
],
"workingHoursStart": "<string>",
"workingHoursEnd": "<string>",
"slotMinutes": 123,
"bufferMinutes": 123,
"minNoticeMinutes": 123,
"defaultSiteLocation": "<string>"
}Required scope:
calendar.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Body
application/json
Required range:
0 <= x <= 6Pattern:
^\d{2}:\d{2}$Pattern:
^\d{2}:\d{2}$Required range:
5 <= x <= 480Required range:
0 <= x <= 240Required range:
0 <= x <= 10080Maximum string length:
500Response
OK

